Home of the Squeezebox™ & Transporter® network music players.
Results 1 to 3 of 3
  1. #1
    Junior Member
    Join Date
    May 2011
    Posts
    3

    3rd party plugins check box missing!

    Hi there, was just looking into the BBC Sounds plugin, went looking for it in the list to discover all the 3rd party plugins have vanished and theres no check box to activate them. I tried entering the repository address directly into the box at the bottom of the page in the desktop LMS page for plugins and just got this message at the top

    Bad repository https://repos.squeezecommunity.org/extensions.xml - Can't connect to https URL lack of IO::Socket::SSL: https://github.com/LMS-Community/lms...extensions.xml

    In the Information tab it has this listed for the plugin folder

    Plugin Folders /c/.squeezeboxserver/cache/InstalledPlugins/Plugins, /usr/sbin/Plugins, /usr/share/squeezeboxserver/Plugins, /c/.squeezeboxserver/Plugins

    Has anybody got any idea whats happening here!

    Its running on a Netgear Duo sparc based

    This is the server status

    Logitech Media Server Status
    Logitech Media Server Version: 7.9.3 - 1597753178 @ Sun Aug 23 19:26:53 CEST 2020
    Hostname: nas-9A-8E-AD
    IP: 192.168.0.21
    HTTP Port: 9000
    OS: Netgear RAIDiator - EN - utf8
    Platform: sparc-linux
    Perl Version: 5.8.8 - sparc-linux
    Audio::Scan: 0.93
    IO::Socket::SSL: Nothing
    Database Version: DBD::SQLite 1.34_01 (sqlite 3.7.7.1)
    Total Players Recognized: 7


    Any help gratefully received!

    Cheers

    Andy

  2. #2
    Senior Member erland's Avatar
    Join Date
    Dec 2005
    Location
    Sweden
    Posts
    11,286
    Sounds like IO::Socket::SSL isnĺt installed, not sure how to install it in your setup.

    Iĺm not sure if the following might give you a clue?
    https://forums.slimdevices.com/showt...l=1#post888581
    Erland Isaksson (My homepage)
    Developer of many plugins/applets
    Starting with LMS 8.0 I no longer support my plugins/applets (see here for more information )

  3. #3
    Babelfish's Best Boy mherger's Avatar
    Join Date
    Apr 2005
    Location
    Switzerland
    Posts
    20,530

    3rd party plugins check box missing!

    > Perl Version: 5.8.8 - sparc-linux
    > Audio::Scan: 0.93
    > IO::Socket::SSL: Nothing


    Your system is too old. You'd need SSL support.

    I'm mildly surprised that somebody would still use a 1st gen. ReadyNAS!
    It was slow to run LMS back in the days. We added custom tweaks for it
    in the code to make it bearable! Do yourself a favor and get a Raspberry
    Pi to run LMS on instead. LMS' snappiness will blow you away :-).

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •